import React from "react";
import { useSelector } from "react-redux";

import { Torrent } from "./torrent";

export const Torrents = () => {
  const torrents = useSelector((state) => state.torrents.torrents);

  if (torrents.length === 0) {
    return (
      <div className="jumbotron">
        <h2>No torrents</h2>
      </div>
    );
  }

  return (
    <div className="d-flex flex-wrap">
      {torrents.map((torrent, index) => (
        <Torrent key={index} torrent={torrent} />
      ))}
    </div>
  );
};
